Pricefx REST API Reference
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.delete/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/commentmanager.delete/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.delete/12.CMTRDResponse
application/json
{ "response": { "node": "node", "data": [ … ], "status": 0 } }
Request
Retrieves comment threads associated with the specified object. An empty request body returns all comment threads. To narrow down returned comment threads, employ a filter in the request body (see the request example).
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.fetchthreads/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/commentmanager.fetchthreads/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.fetchthreads/2147494376.Q?getMyComments=string' \
-H 'Content-Type: application/json' \
-d '{
"endRow": 2000,
"oldValues": null,
"operationType": "fetch",
"startRow": 0,
"sortBy": [
"-createDate"
],
"textMatchStyle": "exact",
"data": {
"operator": "and",
"_constructor": "AdvancedCriteria",
"criteria": [
{
"fieldName": "relations.relatedObjectIdentifier",
"operator": "equals",
"value": "bZWNHIYllshAzzR"
}
]
}
}'Response
application/json
{ "response": { "node": "node", "startRow": 0, "data": [ … ], "endRow": 1, "totalRows": 1, "status": 0 } }
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.resolve/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/commentmanager.resolve/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.resolve/{typedId}' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend", "data": { … }, "status": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Operations
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments